Create Batch Job
curl --request POST \
--url https://data.apartmentiq.io/apartmentiq/api/v1/bulk_api/jobs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"start_date": "2025-12-01",
"end_date": "2025-12-31",
"property_ids": [
99001416,
99001470
]
}
'import requests
url = "https://data.apartmentiq.io/apartmentiq/api/v1/bulk_api/jobs"
payload = {
"start_date": "2025-12-01",
"end_date": "2025-12-31",
"property_ids": [99001416, 99001470]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
start_date: '2025-12-01',
end_date: '2025-12-31',
property_ids: [99001416, 99001470]
})
};
fetch('https://data.apartmentiq.io/apartmentiq/api/v1/bulk_api/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"report_type": "floorplans",
"output_format": "csv",
"property_ids": [
123
],
"start_date": "2023-12-25",
"end_date": "2023-12-25",
"job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "submitted",
"callback_url": "<string>",
"error_message": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "Invalid parameter",
"message": "start_date must be in YYYY-MM-DD format"
}{
"error": "Unauthorized",
"message": "Missing or invalid bearer token"
}{
"error": "Forbidden",
"message": "You do not have permission to create batch jobs"
}Bulk Data Export
Create Batch Job
Submit a new batch job request to retrieve historical property data. The job will process asynchronously and return results in the specified format (CSV, JSONL, or Parquet). Use the job_id from the response to check job status and download results when complete.
POST
/
bulk_api
/
jobs
Create Batch Job
Authorizations
Enter a Bearer token obtained via the OAuth client credentials flow or from the Access Tokens tab in your account settings.
FlowClient Credentials
- Token URL
- https://data.apartmentiq.io/oauth/token
Body
application/json
Type of report to generate.
Available options:
floorplans, property, units Format for the output file.
Available options:
csv, jsonl, parquet Start date for bulk data export (YYYY-MM-DD).
Example:
"2025-12-01"
End date for bulk data export (YYYY-MM-DD).
Example:
"2025-12-31"
Array of property IDs to include in the report.
Example:
[99001416, 99001470]
Optional webhook URL to notify when the job completes.
Example:
"https://example.com/webhook"
Response
Job created successfully
Available options:
floorplans, property, units Available options:
csv, jsonl, parquet Available options:
submitted, cancelled, failed, succeeded